Get asset information. | Algorand Developer Portal
Get asset information.
GET
/v2/assets/{asset-id}
Given a asset ID, it returns asset information including creator, name, total supply and special addresses.
Authorizations
Parameters
Path Parameters
asset-id
required
integer
An asset identifier.
Responses
200
Asset information
Select media type application/json
Specifies both the unique identifier and the parameters for an asset
object
index
required
Unique asset identifier
integer
params
AssetParams specifies the parameters for an asset.
clawback
[string]
Address of account used to clawback holdings of this asset. If empty, clawback is not permitted.creator
required
[string]
The address that created this asset. This is the address where the parameters for this asset can be found, and also the address where unwanted asset units can be sent in the worst case.decimals
required
integer format: uint64
The number of digits to use after the decimal point when displaying this asset. If 0, the asset is not divisible. If 1, the base unit of the asset is in tenths. If 2, the base unit of the asset is in hundredths, and so on. This value must be between 0 and 19 (inclusive).default-frozen
[boolean]
Whether holdings of this asset are frozen by default.freeze
[string]
Address of account used to freeze holdings of this asset. If empty, freezing is not permitted.manager
[string]
Address of account used to manage the keys of this asset and to destroy it.metadata-hash
[string format: byte]
A commitment to some unspecified asset metadata. The format of this metadata is up to the application.name
[string]
Name of this asset, as supplied by the creator. Included only when the asset name is composed of printable utf-8 characters.name-b64
[string format: byte]
Base64 encoded name of this asset, as supplied by the creator.reserve
[string]
Address of account holding reserve (non-minted) units of this asset.total
required
[integer format: uint64]
The total number of units of this asset.unit-name
[string]
Name of a unit of this asset, as supplied by the creator. Included only when the name of a unit of this asset is composed of printable utf-8 characters.unit-name-b64
[string format: byte]
Base64 encoded name of a unit of this asset, as supplied by the creator.url
[string]
URL where more information about the asset can be retrieved. Included only when the URL is composed of printable utf-8 characters.url-b64
[string format: byte]
Base64 encoded URL where more information about the asset can be retrieved.
400
data
message
required
string
401
data
message
required
string
404
data
message
required
string
500
data
message
required
string
default
data
message
required
string